Skip to navigation

Creates validation rule for parent object

Beta
Creates validation rule for parent object

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

protein_schema_idstringRequired
ID of the ProteinSchema.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
definitionstringRequired
errorMessagestringRequired<=255 characters
namestringRequired
descriptionstringOptional

Response

OK
validationRuleIdstringOptional

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error